Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.control
Interface ITurnTimer

All Known Implementing Classes:
  TurnTimer

    public interface ITurnTimer

Interface for the `TurnTimer`

Method Summary
`IEvent` | `getTimeRunOutEvent()` Returns the event that is emitted if the timer timed out.
`void` | `startTimer()` Starts the timer
`void` | `stopTimer()` Stops the timer.

Method Detail

### startTimer

    void startTimer()

  Starts the timer

### stopTimer

    void stopTimer()

  Stops the timer. Stopping an already stopped timer is a no-op.

### getTimeRunOutEvent

    IEvent getTimeRunOutEvent()

  Returns the event that is emitted if the timer timed out.

  Returns:
    time out event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD